<bugID>455694<Summary>Implement animation for tab reordering and detaching (via drag and drop)</Summary><Description>When you drag and drop a tab on the tabbar in Safari and Chrome you see a nice animation, the tab is moved to the place where the mouse cursor is before you drop it. Currently Firefox only shows a small arrow to indicate where the tab will be dropped. When you drag the the tab outside the toolbar in those browsers (which "detaches" the tab) the tab changes into a thumbnail of that tabs content.

This bug is for implementing the same behavior in Firefox.

From bug 225680 comment #79:
&gt; The animation stuff (was looking at Safari's tab drag today) might be a little
&gt; tough :), but we could split that out as a separate bug and take a look to see
&gt; what's possible.
So here it is!</Description></bugID>